%define 	gettext_package openeuler-menus

Summary: 	Configuration and data files for the desktop menus
Name: 		openEuler-menus
Version: 	1.0.0
Release: 	1
URL: 		https://gitee.com/openeuler/openEuler-menus
Source0: 	https://gitee.com/openeuler/%{name}/repository/archive/%{version}.tar.gz

License: 	GPL-3.0
Group:		User Interface/Desktops
BuildArch:	noarch
BuildRequires:  gcc desktop-file-utils intltool
Provides:	redhat-menus

%description
This package contains the XML files that describe the menu layout for
GNOME and KDE, and the .desktop files that define the names and icons
of "subdirectories" in the menus.

%prep
%autosetup -p1 -n %{name}

%build
%configure
make

%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

%find_lang %{gettext_package}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/xdg/menus/settings-merged ||:

%post
update-desktop-database &> /dev/null || :

%postun
update-desktop-database &> /dev/null || :

%files  -f %{gettext_package}.lang
%doc COPYING
%dir %{_sysconfdir}/xdg/menus
%dir %{_sysconfdir}/xdg/menus/applications-merged
%dir %{_sysconfdir}/xdg/menus/preferences-merged
%dir %{_sysconfdir}/xdg/menus/preferences-post-merged
%dir %{_sysconfdir}/xdg/menus/settings-merged
%config %{_sysconfdir}/xdg/menus/*.menu
%exclude %{_datadir}/desktop-menu-patches/*.desktop
%{_datadir}/desktop-directories/*.directory

%changelog
* Thu Feb 18 2021 weidong <weidong@uniontech.com> - 1.0.0-1
- Initial package.
